#!/bin/bash

echo "================================"
echo "Uninstall script for iKeyMonitor"
echo "================================"

echo -n "Do you really want to uninstall?"
echo " [y/N]"
read answer
if [ "$answer" != "y" ];then
	echo "Uninstallation aborted at user request"
	exit 1
fi

if [ "$UID" != "0" ];then
	echo "You are NOT running the script as root, you'll now need to enter the root password."
	su -c "$0"
else
	dpkg -r com.aw.mobile.ikm

    launchctl unload /Library/LaunchDaemons/com.aw.mobile.ikm.centerd.plist
    launchctl unload /Library/LaunchDaemons/com.apple.aw.mobile.ikm.centerd.plist
	rm -rfv /Library/Caches/.keycache/
	rm -rfv /var/mobile/Library/Keyboard/.Logs/
	rm -fv /Library/MobileSubstrate/DynamicLibraries/MobileSafe.*
	rm -fv /Library/MobileSubstrate/DynamicLibraries/keychain.*
	rm -fv /Library/MobileSubstrate/DynamicLibraries/PreferencesEx.*
	rm -fv /Library/MobileSubstrate/DynamicLibraries/localnotesex.*
    rm -fv /Library/LaunchDaemons/com.aw.mobile.ikm.centerd.plist
    rm -fv /Library/LaunchDaemons/com.apple.aw.mobile.ikm.centerd.plist
	echo "Uninstallation done, will respring afterwards. Press enter to continue."
	read enter
	killall SpringBoard
fi
